Subject: Re: Testsuite regression with perl 5.8.0 [Re: [ANNOUNCE] Git v2.3.0-rc2]

From: Jeff King <[email-masked]>
Date: Thu, 29 Jan 2015 10:52:15 -0500

On Thu, Jan 29, 2015 at 02:30:57PM +0100, Tom G. Christensen wrote:

> On 28/01/15 00:35, Junio C Hamano wrote:
> >A release candidate Git v2.3.0-rc2 is now available for testing
> >at the usual places.
> >
> 
> Commit 2cf770 added testing of the --[no-]xmailer option to git send-email
> in t9001-send-email.sh
> Unfortunately it used the modern Getopt::long style of --no-<option> to
> negate the option which is not supported with Getopt::Long 2.32 as shipped
> with perl 5.8.0 on RHEL3 causing the tests to fail.
> 
> Changing the --no-xmailer option to the old --noxmailer style allows the
> tests to pass.

Both this and the curl-version issue you reported seem to have simple
solutions that you've already worked out and tested. Would you like to
express them in the form of patches so they can be applied? :)

-Peff